
Foreman - Bug #2063

minitest / mocha test failures on Ruby 1.9

12/20/2012 05:30 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reported in https://github.com/theforeman/foreman/pull/283

$ rake

/home/olevy/.gem/ruby/1.9.1/gems/mocha-0.12.7/lib/mocha/integration/mini_test.rb:56:in `&lt;class:

TestCase&gt;': No Mocha monkey-patch for MiniTest version (RuntimeError) from...

 Using Mocha 0.12.7 and minitest 4.x.  Pinning minitest to 3.5.0 worked around the problem.

Related issues:

Related to Foreman - Bug #1834: Support for ruby 1.9.x Closed 08/23/2012

Associated revisions

Revision 56863445 - 12/24/2012 03:58 AM - Dominic Cleal

fixes #2063 - pin minitest to 3.5+ and mocha 0.12.x

Mocha 0.13.x and minitest 4.x will require Rails 3.2.

History

#1 - 12/20/2012 07:28 AM - Dominic Cleal

Trying to use the latest versions (mocha 0.13.x, minitest 4.x) fails due to an incompatibility with ActiveSupport 3.0, we'll need to wait for Rails 3.2 to

update these libs.

https://github.com/theforeman/foreman/pull/328

#2 - 12/24/2012 05:18 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 568634452617a42f0b54d6f6699d5087cae75ec9.
